import AbstractStep from './AbstractStep';
import BaseStepPage from './BaseStepPage';
import { AbstractStepProps } from './types';

AbstractStep.install = function (Vue) {
  Vue.component(AbstractStep.name, AbstractStep);
};

BaseStepPage.install = function (Vue) {
  Vue.component(BaseStepPage.name, BaseStepPage);
};

export { AbstractStepProps, BaseStepPage, AbstractStep };