"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("babel-runtime/helpers/extends"));

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _table = _interopRequireDefault(require("ant-design-vue/es/table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var bigTableProps = (0, _extends2["default"])({}, _table["default"].props, {
  // 上一页下一页的id的值,未传则使用了rowKey
  idKey: _vueTypes["default"].string,
  // 获取列表数据的方法，返回一个Promise
  data: _vueTypes["default"].func.required,
  // 分页数，默认1页10条
  pageSize: _vueTypes["default"].number.def(10),
  // 展示分页器
  showPager: _vueTypes["default"].bool.def(true),
  // 是否需要自动加载第一页
  autoLoad: _vueTypes["default"].bool.def(true)
});
var _default = bigTableProps;
exports["default"] = _default;