"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OssImageProps = void 0;

var _types = require("../Image/types");

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

var _extends2 = _interopRequireDefault(require("babel-runtime/helpers/extends"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var OssImageProps = (0, _extends2["default"])({}, _types.ImageProps, {
  // oss对象
  ossClient: _vueTypes["default"].object.required,
  // 默认图片加载超时时间
  timeout: _vueTypes["default"].number.def(5000)
});
exports.OssImageProps = OssImageProps;