"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vueTypes = _interopRequireDefault(require("ant-design-vue/es/_util/vue-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var dateRangeProps = {
  // 开始日期
  startValue: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].object]).def(''),
  // 结束日期
  endValue: _vueTypes["default"].oneOfType([_vueTypes["default"].string, _vueTypes["default"].object]).def(''),
  // 用于展示的日期格式
  showFormat: _vueTypes["default"].string.def('YYYY-MM-DD'),
  // 传入传出的日期格式, 不设置即是moment格式
  valueFormat: _vueTypes["default"].string.def('YYYY-MM-DD'),
  // 是否不可编辑
  disabled: _vueTypes["default"].bool.def(false),
  // 是否展示时间选择
  showTime: _vueTypes["default"].oneOfType([_vueTypes["default"].bool, _vueTypes["default"].object]).def(false),
  // 不可选的日期判断函数
  disabledDate: _vueTypes["default"].func
};
var _default = dateRangeProps;
exports["default"] = _default;